summaryrefslogtreecommitdiff
path: root/scripts/export
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/export')
-rwxr-xr-xscripts/export/dn42_registry20
1 files changed, 20 insertions, 0 deletions
diff --git a/scripts/export/dn42_registry b/scripts/export/dn42_registry
new file mode 100755
index 0000000..8805926
--- /dev/null
+++ b/scripts/export/dn42_registry
@@ -0,0 +1,20 @@
+#!/bin/sh
+if ! ./scripts/check_db_safety; then
+ exit 1
+fi
+mkdir -p export/dn42/data/dns || exit 1
+for d in db/dom/dn42/* ; do
+ domain="`basename $d`.dn42"
+ owner="`cat $d/owner | tr a-z A-Z`-DN42"
+ (
+ echo -e "domain:\t\t$domain"
+ for ns in $d/ns/* ; do
+ nsname="`basename $ns`"
+ nsip="`cat $ns`"
+ echo -e "nserver:\t$nsname $nsip"
+ done
+ echo -e "status:\t\tconnect"
+ echo -e "admin-c:\t$owner"
+ echo -e "tech-c:\t\t$owner"
+ ) > "export/dn42/data/dns/$domain"
+done